/*** GRAF11.C ***/

extern unsigned _stklen = 10000;

#include "GRAFICOS.C"
#include "ESCONDID.C"

float f1(float x, float y) { return x; }
float f2(float x, float y) { return y; }
float f3(float x, float y) { return x*x/5 + y*y/5 - 3; }

char nome_arquivo[80] = "GRAF5";

void main(int argc) {

  int cor_f1 = WHITE,
      cor_f2 = WHITE,
      cor1 = BLUE,
      cor2 = BLUE,
      cor3 = RED,
      cor4 = RED,
      padrao2 = 255,
      padrao1 = 255,
      opcao = DARKGRAY,
      cor_max_min = BROWN;

  float xmin, xmax, ymin, ymax, zmin, zmax;
  char mens[80];


  IniciaModoGrafico();
  o1 = 2; o2 = 1; o3 = 0.8;
  DeterminaPlanoDeProjecao();
  A = getmaxx()/2;
  B = getmaxy()/2;
  TAM = 55;
  nu = 30; nv = 30;
  DesenhaSuperficieEsc(f1, f2, f3, -4, 4, -4, 4, &xmin, &xmax, &ymin,
	     &ymax, &zmin, &zmax, cor_f1, cor_f2, cor1, cor2, cor3, cor4,
	     padrao1, padrao2, nome_arquivo, opcao);

  SalvaImagem(nome_arquivo);
  setcolor(cor_max_min);
  sprintf(mens, "x %c [%4.2f, %4.2f], y %c [%4.2f, %4.2f], z %c [%4.2f, "
		"%4.2f]", 238, xmin, xmax, 238, ymin, ymax, 238, zmin, zmax);
  outtextxy(1, getmaxy() - textheight("H"), mens);
  if (argc == 1) {
    getch();
    closegraph();
  }
}

/*** FIM DE GRAF11.C ***/
