/*** GRAF12.C ***/

extern unsigned _stklen = 10000;

#include "GRAFICOS.C"
#include "ESCONDID.C"

char nome_arquivo[80] = "GRAF12";

float f1(float x, float y) { return x; }
float f2(float x, float y) { return y; }
float f3(float x, float y) { return 2*sin(x) + sin(2*y)/2; }

void main(int argc) {
  int cor_f1 = WHITE,
      cor_f2 = BLACK,
      cor1 = RED,
      cor2 = BLACK,
      cor3 = YELLOW,
      cor4 = BLACK,
      padrao1 = 219,
      padrao2 = 219,
      opcao = YELLOW,
      cor_max_min = BROWN;

  float xmin, xmax, ymin, ymax, zmin, zmax;
  char mens[80];

  IniciaModoGrafico();
  o1 = 1.8; o2 = 1; o3 = 0.3;
  DeterminaPlanoDeProjecao();
  A = getmaxx()/2;
  B = getmaxy()/2;
  TAM = 40;
  nu = 60; nv = 60;
  setcolor(WHITE);
  DesenhaSuperficieEsc(f1, f2, f3, -7, 7, -7, 7, &xmin, &xmax, &ymin,
	     &ymax, &zmin, &zmax, cor_f1, cor_f2, cor1, cor2, cor3, cor4,
	     padrao1, padrao2, nome_arquivo, opcao);

  SalvaImagem(nome_arquivo);
  setcolor(cor_max_min);
  sprintf(mens, "x %c [%4.2f, %4.2f], y %c [%4.2f, %4.2f], z %c [%4.2f, "
		"%4.2f]", 238, xmin, xmax, 238, ymin, ymax, 238, zmin, zmax);
  outtextxy(1, getmaxy() - textheight("H"), mens);
  if (argc == 1) {
    getch();
    closegraph();
  }
}

/*** FIM DE GRAF12.C ***/

